org.hibernate.search.query.dsl.impl

## Class ConnectedMultiFieldsRangeQueryBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsRangeQueryBuilder

- All Implemented Interfaces:
    RangeTerminationExcludable, Termination<RangeTerminationExcludable>

      public class ConnectedMultiFieldsRangeQueryBuilder
      extends Object
      implements RangeTerminationExcludable

  Author:
    Emmanuel Bernard, Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedMultiFieldsRangeQueryBuilder(RangeQueryContext rangeContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, List<FieldContext> fieldContexts, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createQuery()` Return the lucene query representing the operation
    `RangeTerminationExcludable` | `excludeLimit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedMultiFieldsRangeQueryBuilder

          public ConnectedMultiFieldsRangeQueryBuilder(RangeQueryContext rangeContext,
                                                       org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                       List<FieldContext> fieldContexts,
                                                       QueryBuildingContext queryContext)

  - ### Method Detail

    - #### excludeLimit

          public RangeTerminationExcludable excludeLimit()

      Specified by:
        `excludeLimit` in interface `RangeTerminationExcludable`

    - #### createQuery

          public Query createQuery()

      Description copied from interface: `Termination`
      Return the lucene query representing the operation
      Specified by:
        `createQuery` in interface `Termination<RangeTerminationExcludable>`
      Returns:
        the lucene query representing the operation

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved